/**
*Notification App
* There are different ways implementing an App
*/
var NotificationApp = NotificationApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
NotificationApp.App = function () {
    this.id = 'Notification Settings';
    this.name = 'Notification Settings';
    this.version = '6.0.9';
    this.active = false;
    this.menuIcon = '/apps/notification/images/logo.png?v=6.0.9&';
    this.shortcutIcon = '/apps/notification/images/logo.png?v=6.0.9&';
    this.entryUrl = '/apps/notification/notification.html?v=6.0.9&';
    //this.entryHelpUrl = '/apps/notification/notification_help.html?v=6.0.9&';
    var self = this;
    this.NotificationAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Notification Settings')){
            return false;
        }
        self.window = new MUI.Window({
            id: 'NotificationAppWindow',
            title: UNAS._('Notification Settings'),
            icon: '/apps/notification/images/logo_small.png?v=6.0.9&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/notification/notification.html?v=6.0.9&',
            require: {  css: ['/apps/notification/css/notification.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Notification Settings",'NotificationAppWindow')}
        });
    };
    this.NotificationAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Notification Settings');
        UNAS.RemoveMenu('Notification Settings');
        UNAS.RemoveAppFromGroups('Notification Settings', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Notification Settings', 'Help');
        UNAS.RemoveAppFromApps('Notification Settings');
    }
    new UNAS.Menu('UNAS_ControlPanel_Setting_Menu', this.name, this.menuIcon, 'Notification Settings', '', this.NotificationAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Notification Settings', this.NotificationAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Setting', 'Location' : 6, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Setting', 'Location' : 6, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Notification Settings', UNAS._('Notification Settings')); //translate menu
        //UNAS.SetShortcutTitle('Notification Settings', UNAS._('Notification Settings')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('NotificationAppWindow', UNAS._('Notification Settings'));
        }
    }
    UNAS.LoadTranslation('/apps/notification/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.NotificationAppWindow,this.NotificationAppUninstall);
};

new NotificationApp.App(); //Create app